use strict;
use warnings;

use WebService::Mackerel;
use JSON;

my $mkr = WebService::Mackerel->new(
    api_key      => $ENV{MACKEREL_API_KEY},
    service_name => $ENV{MACKEREL_SERVICE_NAME},
);

my $response = decode_json( $mkr->get_hosts );
my $hosts = $response->{hosts};

for my $host (@{ $hosts }) {
    printf "%s\n", $host->{name};
}
